<?php
/**********************************************************************
	Copyright (C) Evolve Techniologies
	Author : Danushka Widanage
	Email : dwidanage@gmail.com
	Company : Evolve Technologies(pvt)Ltd
***********************************************************************/

$page_security = 'SA_GLANALYTIC';
$path_to_root="../..";

include($path_to_root . "/includes/db_pager.inc");
include_once($path_to_root . "/includes/session.inc");

include_once($path_to_root . "/includes/date_functions.inc");
include_once($path_to_root . "/includes/ui.inc");
$js = "";
if ($use_popup_windows)
	$js .= get_js_open_window(800, 500);
if ($use_date_picker)
	$js .= get_js_date_picker();

page(_($help_context = "Payment Register"), false, false, "", $js);

//-----------------------------------------------------------------------------------
// Ajax updates
//
if (get_post('Search'))
{
	$Ajax->activate('journal_tbl');
}
//--------------------------------------------------------------------------------------
if (!isset($_POST['filterType']))
	$_POST['filterType'] = -1;

start_form();

start_table(TABLESTYLE_NOBORDER);

start_row();
bank_accounts_list_cells_pr(_("Account:"), 'bank_account', null);//----@widanage change the code to get the bank accounts gl codes---06.05.2013--
ref_cells(_("Reference:"), 'Ref', '',null, _('Enter reference fragment or leave empty'));
end_row();

start_row();
journal_types_list_cells(_("Type:"), "filterType");
date_cells(_("From:"), 'FromDate', '', null, 0, -1, 0);
date_cells(_("To:"), 'ToDate');
check_cells( _("Show closed:"), 'AlsoClosed', null);
submit_cells('Search', _("Search"), '', '', 'default');

end_row();
/*start_row();
ref_cells(_("Memo:"), 'Memo', '',null, _('Enter memo fragment or leave empty'));
end_row();*/
end_table();

function journal_pos($row)
{
	return $row['gl_seq'] ? $row['gl_seq'] : '-';
}

function systype_name($dummy, $type)
{
	global $systypes_array;
	
	return $systypes_array[$type];
}

function view_link($row) 
{
	return get_trans_view_str($row["type"], $row["type_no"]);
}

function gl_link($row) 
{
	return get_gl_view_str($row["type"], $row["type_no"]);
}


//-------------@widanage add new function for cheque standard function---------29.07.2013-----
function cheque_link($row){
	return check_print($row["type"], $row["type_no"]);
}

function voucher_link($row){
	return voucher_print($row["type"], $row["type_no"]);
}

function person_link($row){
	return payment_person_name($row["person_type_id"],$row["person_id"]);
}

function amount_disply_credit($row){
	return 	amount_cell($row["debit"]);
}

function amount_disply_debit($row){
	return 	amount_cell($row["credit"]);
}
//-------------@widanage add new function for cheque standard function---------29.07.2013-----

$editors = array(
	ST_JOURNAL => "/gl/gl_journal.php?ModifyGL=Yes&trans_no=%d&trans_type=%d",
	ST_BANKPAYMENT => "/gl/gl_bank.php?ModifyPayment=Yes&trans_no=%d&trans_type=%d",
	ST_BANKDEPOSIT => "/gl/gl_bank.php?ModifyDeposit=Yes&trans_no=%d&trans_type=%d",
//	4=> Funds Transfer,
   ST_SALESINVOICE => "/sales/customer_invoice.php?ModifyInvoice=%d",
//   11=>
// free hand (debtors_trans.order_==0)
//	"/sales/credit_note_entry.php?ModifyCredit=%d"
// credit invoice
//	"/sales/customer_credit_invoice.php?ModifyCredit=%d"
//	 12=> Customer Payment,
   ST_CUSTDELIVERY => "/sales/customer_delivery.php?ModifyDelivery=%d",
//   16=> Location Transfer,
//   17=> Inventory Adjustment,
//   20=> Supplier Invoice,
//   21=> Supplier Credit Note,
//   22=> Supplier Payment,
//   25=> Purchase Order Delivery,
//   28=> Work Order Issue,
//   29=> Work Order Production",
//   35=> Cost Update,
);

function edit_link($row)
{
	global $editors;

	$ok = true;
	if ($row['type'] == ST_SALESINVOICE)
	{
		$myrow = get_customer_trans($row["type_no"], $row["type"]);
		if ($myrow['alloc'] != 0 || get_voided_entry(ST_SALESINVOICE, $row["type_no"]) !== false)
			$ok = false;
	}		
	return isset($editors[$row["type"]]) && !is_closed_trans($row["type"], $row["type_no"]) && $ok ? 
		pager_link(_("Edit"), 
			sprintf($editors[$row["type"]], $row["type_no"], $row["type"]),
			ICON_EDIT) : '';
}

$sql = get_sql_for_payment(get_post('filterType', -1), get_post('FromDate'), get_post('ToDate'), get_post('Ref'), get_post('bank_account'), check_value('AlsoClosed'));

$cols = array(
	_("#") => array('fun'=>'journal_pos', 'align'=>'center'), 
	_("Trans #") => array('fun'=>'view_link'),
	_("CHK"),
	_("Ref. #"), 
	_("Date") =>array('name'=>'tran_date','type'=>'date','ord'=>'desc'),
	_("Type") => array('fun'=>'systype_name'), 
	
	_("Debit") => array('insert'=>true, 'fun'=>'amount_disply_credit'),
	_("Credit") => array('insert'=>true, 'fun'=>'amount_disply_debit'),
	
	_("Amount") => array('type'=>'amount'),
	
	_("Person/Item") => array('insert'=>true, 'fun'=>'person_link'),
	//_("User"),
	_("View") => array('insert'=>true, 'fun'=>'gl_link'), 
	_("Edit") => array('insert'=>true, 'fun'=>'edit_link'),
	_("CHK") => array('insert'=>true, 'fun'=>'cheque_link'), 
	_("VOCH") => array('insert'=>true, 'fun'=>'voucher_link')
);

if (!check_value('AlsoClosed')) {
	$cols[_("#")] = 'skip';
}

$table =& new_db_pager('journal_tbl', $sql, $cols);

$table->width = "80%";

display_db_pager($table);

end_form();
end_page();

?>
